Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class PluginManagerHolder

    java.lang.Object
      org.codehaus.groovy.grails.plugins.PluginManagerHolder

    public abstract class PluginManagerHolder

Manages a thread bound plugin manager instance.

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`static GrailsPluginManager` | `currentPluginManager()` Retrieves the bound GrailsPluginManager that resides in the current Thread
`static GrailsPluginManager` | `getPluginManager()` Retrieves the GrailsPluginManager bound to the current Thread
`static void` | `setPluginManager(GrailsPluginManager pluginManager)` Bind the given GrailsPluginManager instance to the current Thread

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### currentPluginManager

    public static GrailsPluginManager currentPluginManager()

  Retrieves the bound GrailsPluginManager that resides in the current Thread
  throws:
    IllegalStateException When there is no bound GrailsPluginManager
  Returns:
    The GrailsPluginManager

### getPluginManager

    public static GrailsPluginManager getPluginManager()

  Retrieves the GrailsPluginManager bound to the current Thread
  Returns:
    The GrailsPluginManager or null

### setPluginManager

    public static void setPluginManager(GrailsPluginManager pluginManager)

  Bind the given GrailsPluginManager instance to the current Thread
  Parameters:
    `pluginManager` - The GrailsPluginManager to expose

Groovy Documentation